/**********************************************************************
 *
 * File :     palette.h
 *
 * Abstract : Function prototypes for palette.c
 *
 **********************************************************************
 *
 * This file is a product of Criterion Software Ltd.
 *
 * This file is provided as is with no warranties of any kind and is
 * provided without any obligation on Criterion Software Ltd. or
 * Canon Inc. to assist in its use or modification.
 *
 * Criterion Software Ltd. will not, under any
 * circumstances, be liable for any lost revenue or other damages arising
 * from the use of this file.
 *
 * Copyright (c) 1995 Criterion Software Ltd.
 * All Rights Reserved.
 *
 * RenderWare is a trademark of Canon Inc.
 *
 ************************************************************************/

int ReadPalette(char *fileName, RwPaletteEntry *palette, int size);
int WritePalette(char *fileName, RwPaletteEntry *palette, int size);
int BuildColorCube(RwPaletteEntry *palette, int palette_size,
                 int redBits, int greenBits, int blueBits);
void CheckAndReadPalette(char *filename);
